## ros-noetic-opencv-apps 2.0.2

=== debian/changelog ===
ros-noetic-opencv-apps (2.0.2-1focal) focal; urgency=high

  * .travis.yml: add noetic test (#108 <https://github.com/ros-perception/opencv_apps/issues/108>)
    
      * support oepncv4 for face detection launch/test files
      * convert img_gray every loop, this fixes
        [ERROR] [1597757072.115502734]: Image processing error: Matrix operand is an empty matrix. checkOperandsExist ../modules/core/src/matrix_expressions.cpp 23
        errors
      * check CV_VERSION_VERSION > 4
      * add g++ static to package.xml
      * use python3 for noetic
      * .travis.yml : add CHECK_PYTHON3_COMPILE
      * .travis.yml: add noetic test
    
  * fix travis (#106 <https://github.com/ros-perception/opencv_apps/issues/106>)
    
      * add more package to CATKIN_DEPENDS
      * add image_view to run_depends
    
  * add hot fix for hydro test (#98 <https://github.com/ros-perception/opencv_apps/issues/98>)
    
      * add doublequote arount $TEST
      * add hot fix for hydro test
    
  * Improved variable names and comments (#95 <https://github.com/ros-perception/opencv_apps/issues/95>)
    
      * Improved variable names and comments: The comments and variable names were the opposite of what was functionally happening in the code. No functional change to this commit, just better readability and maintainability.
    
  * setup EoL repository (#96 <https://github.com/ros-perception/opencv_apps/issues/96>)
  * Contributors: Gus Crowards, Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Wed, 19 Aug 2020 00:00:00 -0000

ros-noetic-opencv-apps (2.0.1-1focal) focal; urgency=high

  * support catkin_lint and clang-format tests in travis.yml (#93 <https://github.com/ros-perception/opencv_apps/issues/93>)
    
      * override is not supported gcc4.6 (12.04), remove this fix and add NOLINT
      * clang-tidy code need c++11
      * fix code by run-clang-tidy -fix
      * fix format by clang-format
      * fix CMakeLists.txt and package.xml for catkin_lint
      * support catkin_lint and clang-format tests
    
  * add queue_size parameter to all nodes, see #83 <https://github.com/ros-perception/opencv_apps/issues/83> (#92 <https://github.com/ros-perception/opencv_apps/issues/92>)
    
      * add queue_size arg to launch files
      * sometimes simple_example_test fails with 'average rate (36.121Hz) exceeded maximum (35.000Hz)'
    
  * add queue_size parameter to all nodes, see #83 <https://github.com/ros-perception/opencv_apps/issues/83>
  * add melodic badge
  * Contributors: Furushchev, Hironori Fujimoto, Kei Okada, higashide, iory, moju zhao
  * add melodic badge
  * Add lk flow params trackbar (#78 <https://github.com/ros-perception/opencv_apps/issues/78>)
  * Remove duplication of add_library for simple_flow (#88)
    
    ${_opencv_apps_nodelet_cppfiles} adds simple_flow to library but also
    ${${PROJECT_NAME}_EXTRA_FILES} does same thing
  * Do not pefrom face recognition process without the trained data (#91 <https://github.com/ros-perception/opencv_apps/issues/91>)
    
      * Add warning logger to prompt face data tranining
      * Add a check to decide whether to perform the face recognition in callback function, according to the content of th
    
  * fback_flow: add option to set 'queue_size' (#83 <https://github.com/ros-perception/opencv_apps/issues/83>)
  * travis.yml: add melodic and remove jade (#84 <https://github.com/ros-perception/opencv_apps/issues/84>)
  * [face_detection.launch] Fixed path of haarcascade xml for OpenCV-3.3.1 (#79 <https://github.com/ros-perception/opencv_apps/issues/79>)
  * Contributors: Yuki Furuta, Hironori Fujimoto, Kei Okada, Taichi Higashide, Iory Yanokura, Moju Zhao

 -- Kei Okada <kei.okada@gmail.com>  Mon, 22 Apr 2019 00:00:00 -0000

ros-noetic-opencv-apps (2.0.0-1focal) focal; urgency=high

  * Fix namespace and pkg name of nodelets (Closes (#21 <https://github.com/ros-perception/opencv_apps/issues/21>)) (#74 <https://github.com/ros-perception/opencv_apps/issues/74>)
    Fix namespace and pkg name of nodelets
  * Add pyramids_nodelet (#37 <https://github.com/ros-perception/opencv_apps/issues/37>)
    * use toCvCopy instead of CvShare in adding_images
  * adding_images_nodelt :support different size of images (#57 <https://github.com/ros-perception/opencv_apps/issues/57>)
  * fix contour moment program (#66 <https://github.com/ros-perception/opencv_apps/issues/66>)
    * contour_moments_nodelet.cpp: remove redundant codes, use input encoding
    * contour_moments_nodelet.cpp: sort contours by the area
    * contour_moments_nodelet.cpp: remove tailing NR from NODELET_INFO
  * fix for opencv 3.3.1 (#71 <https://github.com/ros-perception/opencv_apps/issues/71>)
    * fix launch/test fiels for opencv3.3
    * goodFeaturesTrack takes useHarriesDetector == false
    * opencv 3.3.1 has newer FaceRecognizer
  * Contributors: Kei Okada, Iori Yanokura

 -- Kei Okada <kei.okada@gmail.com>  Mon, 20 Nov 2017 00:00:00 -0000

ros-noetic-opencv-apps (1.12.0-1focal) focal; urgency=high

  * [src/node/standalone_nodelet_exec.cpp.in] workaround for freezing imshow on kinetic (#67 <https://github.com/ros-perception/opencv_apps/issues/67>)
    * use ros::param::set instead of ros::NodeHandle("~"), that did not output NODELET_INFO
    * workaround for freezing imshow on kinetic
  * [launch/hough_circles.launch] Corrected a typo and applied the node_name argument (#69 <https://github.com/ros-perception/opencv_apps/issues/69> )
  * [face_recognition] add nodelet / script / message files for face recognition (new) #63 <https://github.com/ros-perception/opencv_apps/issues/63> from furushchev/face-recognition-new
    
      * add face_recognition nodelet / test
        cfg/FaceRecognition.cfg
        launch/face_recognition.launch
        scripts/face_recognition_trainer.py
        src/nodelet/face_recognition_nodelet.cpp
      * [Face.msg] add label / confidence for face recognition
      * [CMakeLists.txt] remove duplicate msg: RectArrayStamped.msg
    

