=== debian/control ===
Source: ros-noetic-opencv-apps
Section: misc
Priority: optional
Maintainer: Kei Okada <kei.okada@gmail.com>
Build-Depends: debhelper (>= 9.0.0), g++, ros-noetic-catkin, ros-noetic-compressed-image-transport, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-image-proc, ros-noetic-image-transport, ros-noetic-message-generation, ros-noetic-nodelet, ros-noetic-rosbag, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-rosservice, ros-noetic-rostest, ros-noetic-rostopic, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-topic-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-opencv-apps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-image-transport, ros-noetic-image-view, ros-noetic-message-runtime, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs
Description: opencv_apps provides various nodes that run internally OpenCV's functionalities and publish the result as ROS topics.
 With opencv_apps, you can skip writing OpenCV application codes for a lot of its functionalities by simply running a launch file that corresponds to OpenCV's functionality you want. You can have a look at all launch files provided here (be sure to choose the correct branch. As of Sept. 2016 indigo branch is used for ROS Indigo, Jade, and Kinetic distros). Some of the features covered by opencv_apps are explained in the wiki. The most of code is originally taken from https://github.com/Itseez/opencv/tree/master/samples/cpp
